Skip to main content
`Ctrl`+`K`

# SNESCompositeGetSNES

Gets one of the `SNES` objects in the `SNES` of `SNESType` `SNESCOMPOSITE`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESCompositeGetSNES(SNES snes, PetscInt n, SNES *subsnes)

Not Collective

## Input Parameters

- snes - the `SNES` context

- n - the number of the composed `SNES` requested

## Output Parameter

- subsnes - the `SNES` requested

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESCOMPOSITE`, `SNESCompositeAddSNES()`, `SNESCompositeGetNumber()`

## Level

developer

## Location

src/snes/impls/composite/snescomposite.c

## Implementations

SNESCompositeGetSNES_Composite() in src/snes/impls/composite/snescomposite.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages